### Hierarchy

- ProfileWealthValidator

## Index

### Constructors

- constructor

### Properties

- baseID
- wealth

## Constructors

### constructor

- new ProfileWealthValidator(baseID: string, wealth: Map<string, WealthRecord>): ProfileWealthValidator

- - Defined in utils/types/BaseTypes.ts:117

  #### Parameters

  - ##### baseID: string

  - ##### wealth: Map<string, WealthRecord>

  #### Returns ProfileWealthValidator

## Properties

### baseID

baseID: string

- Defined in utils/types/BaseTypes.ts:116

### wealth

wealth: Map<string, WealthRecord>

- Defined in utils/types/BaseTypes.ts:117

Generated using TypeDoc